Bug 206092 - mail/mutt modernize port, add URLVIEW option
Summary: mail/mutt modernize port, add URLVIEW option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alex Kozlov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-10 10:24 UTC by Alex Kozlov
Modified: 2016-01-14 04:49 UTC (History)
2 users (show)

See Also:
Udo.Schweigert: maintainer-feedback+


Attachments
moderniz port, add urlview option (15.01 KB, patch)
2016-01-10 10:24 UTC, Alex Kozlov
no flags Details | Diff
Also cleanup MASTER_SITES (17.55 KB, patch)
2016-01-12 15:32 UTC, Alex Kozlov
no flags Details | Diff
Fix mutt-lite pig-plist. (516 bytes, patch)
2016-01-13 08:46 UTC, Udo.Schweigert
no flags Details | Diff
[patch] mutt-lite v2 (740 bytes, patch)
2016-01-13 09:18 UTC, Olli Hauer
no flags Details | Diff
fix nls issue (979 bytes, patch)
2016-01-13 20:52 UTC, Alex Kozlov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Kozlov freebsd_committer 2016-01-10 10:24:02 UTC
Created attachment 165351 [details]
moderniz port, add urlview option

- Convert to options helpers when possible
- Add URLVIEW option (on by default)
- Add patch to make parent directory entry (..) always on top of browser menu
Comment 1 Udo.Schweigert 2016-01-11 11:45:17 UTC
Thanks for that, Alex. This patch is very OK for me.
Comment 2 Alex Kozlov freebsd_committer 2016-01-12 15:32:52 UTC
Created attachment 165436 [details]
Also cleanup MASTER_SITES

Also cleanup MASTER_SITES:

Remove unused:
http://www.spinnaker.de/mutt/compressed/:rr
http://lunar-linux.org/~tchan/mutt/:tchan
http://www.emaillab.org/mutt/${AC_PATCH_VERSION}/:jp

Duplicates:
http://www3.mutt.org.ua/download/mutt-${VVV_PATCH_VERSION}/:vvv (the same ip ad www2.mutt.org.ua)
ftp://ftp.mutt.org.ua/pub/mutt/mutt-${VVV_PATCH_VERSION}/:vvv (the same ip as www.mutt.org.ua)
ftp://ftp3.mutt.org.ua/pub/mutt/mutt-${VVV_PATCH_VERSION}/:vvv (the same ip as www3.mutt.org.ua)

If you alright with it, I'll commit it shortly.
Comment 3 Udo.Schweigert 2016-01-12 15:38:15 UTC
I'm fine with that. Please commit. Thanks! Udo
Comment 4 commit-hook freebsd_committer 2016-01-12 16:07:53 UTC
A commit references this bug:

Author: ak
Date: Tue Jan 12 16:07:13 UTC 2016
New revision: 405889
URL: https://svnweb.freebsd.org/changeset/ports/405889

Log:
  - Convert to options helpers when possible
  - Add URLVIEW option (on by default)
  - Add patch to make parent directory entry (..) always on top of browser menu (with any $sort_browser value)
  - Clean up MASTER_SITES

  PR:	206092
  Approved by:	udo.schweigert@siemens.com (maintainer)

Changes:
  head/mail/mutt/Makefile
  head/mail/mutt/files/extra-patch-doc-ref
  head/mail/mutt/files/patch-browser.c
  head/mail/mutt/pkg-plist
Comment 5 Alex Kozlov freebsd_committer 2016-01-12 16:32:42 UTC
Committed, thanks.

Please note, that there is still room for more improvements, like most post-patch targets with ${PATCH} -p1 can be converted to _EXTRA_PATCHES with some minor extra-patch-* modification; kerberus block can be moved to USES=gssapi and simplified; the same for autotools, etc.
Comment 6 Olli Hauer freebsd_committer 2016-01-13 07:14:13 UTC
Hi Alex,

would you mind to check the changes against mutt-lite?
The post is failing now:

===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: lib/charset.alias
Error: Orphaned: share/locale/bg/LC_MESSAGES/mutt.mo
Error: Orphaned: share/locale/ca/LC_MESSAGES/mutt.mo
Error: Orphaned: share/locale/cs/LC_MESSAGES/mutt.mo
....
===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: %%HTML%%@comment %%DOCSDIR%%/advancedusage.html
Error: Missing: %%HTML%%@comment %%DOCSDIR%%/configuration.html
...
Error: Missing: %%NLS%%share/locale/bg/LC_MESSAGES/mutt.mo
Error: Missing: %%NLS%%share/locale/ca/LC_MESSAGES/mutt.mo
...
Error: Missing: %%NNTP%%@comment %%DOCSDIR%%/ChangeLog.nntp
Error: Missing: %%XML%%%%HTML%%%%COMPRESSED_FOLDERS%%@comment %%DOCSDIR%%/compressed-folders.html
===> Error: Plist issues found.
*** Error code 1

Stop.
make: stopped in /usr/ports/mail/mutt-lite
====>> Error: check-plist failures detected
====>> Cleaning up wrkdir
===>  Cleaning for mutt-lite-1.5.24_1
Comment 7 Udo.Schweigert 2016-01-13 08:46:46 UTC
Created attachment 165480 [details]
Fix mutt-lite pig-plist.

Fixes mutt-lite.
Comment 8 Olli Hauer freebsd_committer 2016-01-13 09:18:46 UTC
Created attachment 165483 [details]
[patch] mutt-lite v2

Hi Udo,

Thanks for the quick patch, my poudriere complains now only for

====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: lib/charset.alias
Error: Orphaned: share/locale/locale.alias
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.
*** Error code 1

I've attached a patch with your changes and an additional cleanup that is working for me.
Comment 9 Udo.Schweigert 2016-01-13 09:22:06 UTC
Yes, please commit. Sorry, I missed looking into the charset-issue.
Comment 10 commit-hook freebsd_committer 2016-01-13 10:06:30 UTC
A commit references this bug:

Author: ohauer
Date: Wed Jan 13 10:05:33 UTC 2016
New revision: 406030
URL: https://svnweb.freebsd.org/changeset/ports/406030

Log:
  - fix mutt-lite build

  PR:		206092 (follow up)
  Approved by:	udo.schweigert@siemens.com (maintainer)

Changes:
  head/mail/mutt/Makefile
Comment 11 Olli Hauer freebsd_committer 2016-01-13 10:08:12 UTC
Patch committed, thanks for the quick review!
Comment 12 Alex Kozlov freebsd_committer 2016-01-13 18:35:49 UTC
Sorry about the breakage.

Interesting thing, while COMPRESSED_FOLDERS, HTML, XML and NNTP options are not defined in LITE case, NLS is, because it's a global option, so it should have been set to @comment like DOCS and EXAMPLES were. I think it's a bug in bsd.port.mk

Also, can you please try to add USES+=charsetfix instead of deleting lib/charset.alias?

Sorry again.
Comment 13 Olli Hauer freebsd_committer 2016-01-13 20:22:25 UTC
I'm sure I have tested charsetfix, anyway I tested again with the following patch

Index: /usr/ports/mail/mutt/Makefile
===================================================================
--- /usr/ports/mail/mutt/Makefile       (revision 406068)
+++ /usr/ports/mail/mutt/Makefile       (working copy)
@@ -52,6 +52,7 @@

 .if defined (LITE)
 OPTIONS_UNSET= NLS DOCS EXAMPLES
+USES+=         charsetfix
 PLIST_SUB+=    COMPRESSED_FOLDERS="@comment "
 PLIST_SUB+=    HTML="@comment "
 PLIST_SUB+=    NLS="@comment "
@@ -340,9 +341,4 @@
                ${WRKSRC}/doc/Makefile
 .endif

-post-stage:
-.if defined(LITE)
-       -${RM} ${STAGEDIR}${PREFIX}/lib/charset.alias
-       -${RM} ${STAGEDIR}${PREFIX}/share/locale/locale.alias
-.endif
 .include <bsd.port.mk>


Now the scary part.
Building manually in the tree no *.alias file can be found in $STAGEDIR but it fails in my poudriere with the same leftover error

@Alex
Perhaps you can verify this behavior?
Comment 14 Alex Kozlov freebsd_committer 2016-01-13 20:52:36 UTC
Created attachment 165528 [details]
fix nls issue

It seems that because of bug(?) with NLS knob, NLS_CONFIGURE_OFF doesn't work.
Please try attached patch (I also grouped PLIST_SUB entries together).
Comment 15 Olli Hauer freebsd_committer 2016-01-14 04:32:30 UTC
Patch 165528 is working, no leftovers :)

====>> Cleaning up wrkdir
===>  Cleaning for mutt-lite-1.5.24_1
====>> Warning: Leftover processes:
USER   PID %CPU %MEM   VSZ  RSS TT  STAT STARTED    TIME COMMAND
build of mail/mutt-lite ended at Thu Jan 14 05:27:04 CET 2016
build time: 00:00:24
Comment 16 commit-hook freebsd_committer 2016-01-14 04:49:57 UTC
A commit references this bug:

Author: ohauer
Date: Thu Jan 14 04:49:20 UTC 2016
New revision: 406090
URL: https://svnweb.freebsd.org/changeset/ports/406090

Log:
  -  fix mutt-lite NLS leftovers [1]

  [1] patch by ak@

  PR:		206092

Changes:
  head/mail/mutt/Makefile